<!doctype html>
<html lang="en">
<head>
<title>173-curl-maintainers-bof</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="anonymous" title="anonymous">Welcome to DebConf 24 Etherpad!</span><br><span class="anonymous" title="anonymous"></span><br><span class="a_xC3jAdcR7ki1dJer" title="a_xC3jAdcR7ki1dJer" style="background-color:#09d718">cURL Maintainers BoF</span><br><span class="a_xC3jAdcR7ki1dJer" title="a_xC3jAdcR7ki1dJer" style="background-color:#09d718">====================</span><br><span class="anonymous" title="anonymous"></span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">Agenda:</span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">Recent changes to the curl package</span><br><ul class="indent"><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">curl maintainers team</span></li><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">review of packaging patches being applied to it</span></li><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">build profile for gnutls-only and openssl-only</span></li><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">test results enforced in build-time (starting on bookworm)</span></li><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">parallel tests</span></li><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">http3</span></li><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">gnutls</span></li><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">wcurl</span></ul><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">Upcoming changes</span><br><ul class="indent"><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">python tests - puida</span></li><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453"></span></ul><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">Thank you for everyone running Debian unstable and testing and reporting issues</span><br><ul class="indent"><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453"></span></ul><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">curl in moon?</span><br><ul class="indent"><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453"></span></ul><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">To discuss</span><br><ul class="indent"><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">issues with gnutls as TL</span><span class="a_xC3jAdcR7ki1dJer" title="a_xC3jAdcR7ki1dJer" style="background-color:#09d718">S</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453"> backend</span></li><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">http3 in stable-backports</span><ul class="indent"><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">talk to backports team</span></li><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">talk to wireshark maintainers</span></li><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">Ubuntu 24.10 is releasing with these changes</span></ul><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">wcurl filename decoding (output file) - https://salsa.debian.org/debian/wcurl/-/merge_requests/4</span><ul class="indent"><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">check with upstream if they would do it</span></ul><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">wcurl default filename</span></li><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">sergiodj: rewrite it in C with libcurl</span></li><li><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">*</span><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453"></span></ul><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">curl -I (HEAD request) fails with HTTP/2 against a Debian Apache instance</span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1037258</span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453"></span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">Binary build patching insanity</span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1077650</span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453"></span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">Regression in switch to gnutls: pkcs11 no longer available</span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1077060</span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453"></span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">curl: (regression) URLs containing a space fail syntax check (“URL using bad/illegal format…”)</span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1071415</span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453"></span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">curl: X.509 client certificates not working with curl/8.8.0-2</span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1075747</span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453"></span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">curl: After switched to gnutls, curl -w '%{size_header}' doesn't work</span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1076800</span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453"></span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">document gnutls certificate issue in release notes</span><br><span class="a_2qNnynpLcJ23lP71" title="a_2qNnynpLcJ23lP71" style="background-color:#0fa453">ip address - check with charles</span><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
